Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-1902

Overview

Vulnerability Score 7.8 7.8
CVE Id CVE-2009-1902
Last Modified 15 Jul 2009 01:41:42
Published 03 Jun 2009 01:00:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2009-1902

Summary

The multipart processor in ModSecurity before 2.5.9 allows remote attackers to cause a denial of service (crash) via a multipart form datapost request with a missing part header name, which triggers a NULL pointer dereference.

Vulnerable Systems

Application

  • Modsecurity 2.1.7

  • Modsecurity 2.5.5

  • Modsecurity 2.5.6

  • Modsecurity 2.5.7

  • Modsecurity 2.5.8


References

FEDORA - FEDORA-2009-2686

FEDORA - FEDORA-2009-2654

XF - modsecurity-multipart-dos(49212)

VUPEN - ADV-2009-0703

BID - 34096

BUGTRAQ - 20090319 [ISecAuditors Security Advisories] ModSecurity < 2.5.9 remote Denial of Service

OSVDB - 52553

MILW0RM - 8241

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=667542&group_id=68846

GENTOO - GLSA-200907-02

SECUNIA - 35687

SECUNIA - 34311

SECUNIA - 34256

SUSE - SUSE-SR:2009:011


Last Updated: 27 May 2016 10:50:42